为什么Nodejs未支持import、export ES6特性?

在nodejs官网上看到最新版的nodejs对于es6的语法支持已经足够好了,但是没看到import、export的支持。我们还是得用require、module.exports。既然es6已经对模块化有了规范。感觉前后端应该统一使用。那么nodejs未来会支持么?

未来支持那是肯定的。
一个新功能的升级往往要考虑到兼容老版本代码。
如果你需要使用最新特性,建议使用 io.js

importexport只是草案,并未通过

  1. 个人觉得从语言和标准层面进行统一是没有任何问题的

  2. 前后端使用场景还是有区别的,虽然都是JS,不一定要统一

  3. 未来很可能支持

发表评论

电子邮件地址不会被公开。 必填项已用*标注